Update versions of helm3 and kubernetes for OSM community installer
Change-Id: Ibed733d04770f00789f4f0c2ed1faf77ffdb5143
Signed-off-by: garciadeblas <gerardo.garciadeblas@telefonica.com>
diff --git a/installers/install_kubeadm_cluster.sh b/installers/install_kubeadm_cluster.sh
index c0f067a..972fef1 100755
--- a/installers/install_kubeadm_cluster.sh
+++ b/installers/install_kubeadm_cluster.sh
@@ -18,7 +18,8 @@
#installs kubernetes packages
function install_kube() {
[ -z "${DEBUG_INSTALL}" ] || DEBUG beginning of function
- K8S_VERSION=1.20.11-00
+ K8S_VERSION=1.20.14-00
+ # Kubernetes releases can be found here: https://kubernetes.io/releases/
# To check other available versions, run the following command
# curl -s https://packages.cloud.google.com/apt/dists/kubernetes-xenial/main/binary-amd64/Packages | grep Version | awk '{print $2}'
sudo apt-get update && sudo apt-get install -y apt-transport-https
@@ -73,20 +74,23 @@
}
#Install Helm v3
+#Helm releases can be found here: https://github.com/helm/helm/releases
function install_helm() {
[ -z "${DEBUG_INSTALL}" ] || DEBUG beginning of function
- helm > /dev/null 2>&1
- if [ $? != 0 ] ; then
+ HELM_VERSION="v3.7.2"
+ if ! [[ "$(helm version --short 2>/dev/null)" =~ ^v3.* ]]; then
# Helm is not installed. Install helm
- echo "Helm is not installed, installing ..."
- curl https://get.helm.sh/helm-v3.6.3-linux-amd64.tar.gz --output helm-v3.6.3.tar.gz
- tar -zxvf helm-v3.6.3.tar.gz
+ echo "Helm3 is not installed, installing ..."
+ curl https://get.helm.sh/helm-${HELM_VERSION}-linux-amd64.tar.gz --output helm-${HELM_VERSION}.tar.gz
+ tar -zxvf helm-${HELM_VERSION}.tar.gz
sudo mv linux-amd64/helm /usr/local/bin/helm
rm -r linux-amd64
- rm helm-v3.6.3.tar.gz
- helm repo add stable https://charts.helm.sh/stable
- helm repo update
+ rm helm-${HELM_VERSION}.tar.gz
+ else
+ echo "Helm3 is already installed. Skipping installation..."
fi
+ helm repo add stable https://charts.helm.sh/stable
+ helm repo update
[ -z "${DEBUG_INSTALL}" ] || DEBUG end of function
}